Bug 1322334 - QT5.6 breaks KDE completly for me
Summary: QT5.6 breaks KDE completly for me
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-30 10:23 UTC by Harald Reindl
Modified: 2016-12-20 19:43 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 19:43:20 UTC


Attachments (Terms of Use)
desktop screenshot (1.81 MB, image/png)
2016-03-30 11:17 UTC, Harald Reindl
no flags Details
plasma-org.kde.plasma.desktop-appletsrc (11.91 KB, text/plain)
2016-03-30 12:01 UTC, Harald Reindl
no flags Details
plasma-org.kde.plasma.desktop-appletsrc (23.68 KB, text/plain)
2016-03-31 11:37 UTC, Gilboa Davara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 360120 None None None 2016-04-10 12:12 UTC

Description Harald Reindl 2016-03-30 10:23:12 UTC
the issue is QT 5.6 because without updatre kf5 packages my desktop is broken too, no controlbae, no systray and that was usually my menu-icon is became to "logout"

Am 23.03.2016 um 10:29 schrieb Reindl Harald:
> after this mornings update *nothing* works
>
> * no desktop
> * no systray
> * no widgets
> * no controlbar
> * the only icon is the menu-icon which became "logout"
> * well, and downgrade is tricky too - what a crap
>
> [root@rh:~]$ dnf downgrade kf5\*
> Last metadata expiration check: 0:19:48 ago on Wed Mar 23 10:09:22 2016.
> Error: package kwin-libs-5.5.5-1.fc23.x86_64 requires
> kf5-kwayland(x86-64) >= 5.5, but none of the providers can be installed
> (try to add '--allowerasing' to command line to replace conflicting
> packages)
>
> Mar 23 10:10:26 INFO Upgraded: qt5-qtbase-common-5.6.0-7.fc23.noarch
> Mar 23 10:10:27 INFO Upgraded: qt5-qtbase-5.6.0-7.fc23.x86_64
> Mar 23 10:10:28 INFO Upgraded: qt5-qtbase-gui-5.6.0-7.fc23.x86_64
> Mar 23 10:10:28 INFO Upgraded: kf5-filesystem-5.20.0-1.fc23.x86_64
> Mar 23 10:10:29 INFO Upgraded: kf5-kcoreaddons-5.20.0-1.fc23.x86_64
> Mar 23 10:10:29 INFO Upgraded: kf5-kconfig-core-5.20.0-1.fc23.x86_64
> Mar 23 10:10:30 INFO Upgraded: kf5-kwidgetsaddons-5.20.0-1.fc23.x86_64
> Mar 23 10:10:30 INFO Upgraded: kf5-kconfig-gui-5.20.0-1.fc23.x86_64
> Mar 23 10:10:30 INFO Upgraded: kf5-kcodecs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:30 INFO Upgraded: kf5-kauth-5.20.0-1.fc23.x86_64
> Mar 23 10:10:31 INFO Upgraded: kf5-kcompletion-5.20.0-1.fc23.x86_64
> Mar 23 10:10:31 INFO Upgraded: qt5-qtx11extras-5.6.0-3.fc23.x86_64
> Mar 23 10:10:31 INFO Upgraded: kf5-kjobwidgets-5.20.0-1.fc23.x86_64
> Mar 23 10:10:31 INFO Upgraded: kf5-kwindowsystem-5.20.0-1.fc23.x86_64
> Mar 23 10:10:31 INFO Upgraded: kf5-kitemviews-5.20.0-1.fc23.x86_64
> Mar 23 10:10:32 INFO Upgraded: kf5-karchive-5.20.0-1.fc23.x86_64
> Mar 23 10:10:32 INFO Upgraded: kf5-kcrash-5.20.0-1.fc23.x86_64
> Mar 23 10:10:32 INFO Upgraded: kf5-knotifications-5.20.0-1.fc23.x86_64
> Mar 23 10:10:32 INFO Upgraded: kf5-kdbusaddons-5.20.0-1.fc23.x86_64
> Mar 23 10:10:32 INFO Upgraded: qt5-qtscript-5.6.0-3.fc23.x86_64
> Mar 23 10:10:33 INFO Upgraded: kf5-ki18n-5.20.0-1.fc23.x86_64
> Mar 23 10:10:33 INFO Upgraded: kf5-kservice-5.20.0-1.fc23.x86_64
> Mar 23 10:10:34 INFO Upgraded: kf5-kguiaddons-5.20.0-1.fc23.x86_64
> Mar 23 10:10:34 INFO Upgraded: kf5-kconfigwidgets-5.20.0-1.fc23.x86_64
> Mar 23 10:10:35 INFO Upgraded: qt5-qtsvg-5.6.0-3.fc23.x86_64
> Mar 23 10:10:35 INFO Upgraded: kf5-kiconthemes-5.20.0-1.fc23.x86_64
> Mar 23 10:10:35 INFO Upgraded: kf5-kpackage-5.20.0-1.fc23.x86_64
> Mar 23 10:10:36 INFO Upgraded: kf5-sonnet-core-5.20.0-1.fc23.x86_64
> Mar 23 10:10:36 INFO Upgraded: kf5-sonnet-ui-5.20.0-1.fc23.x86_64
> Mar 23 10:10:36 INFO Upgraded: kf5-ktextwidgets-5.20.0-1.fc23.x86_64
> Mar 23 10:10:37 INFO Upgraded: kf5-kfilemetadata-5.20.0-1.fc23.x86_64
> Mar 23 10:10:37 INFO Upgraded: kf5-kunitconversion-5.20.0-1.fc23.x86_64
> Mar 23 10:10:38 INFO Upgraded: kf5-attica-5.20.0-1.fc23.x86_64
> Mar 23 10:10:38 INFO Upgraded: kf5-kjs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:38 INFO Upgraded: qt5-qttools-common-5.6.0-3.fc23.noarch
> Mar 23 10:10:39 INFO Upgraded:
> qt5-qttools-libs-designer-5.6.0-3.fc23.x86_64
> Mar 23 10:10:40 INFO Upgraded: kf5-kwallet-5.20.0-1.fc23.x86_64
> Mar 23 10:10:40 INFO Upgraded: kf5-kwallet-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:41 INFO Upgraded: kf5-kpty-5.20.0-1.fc23.x86_64
> Mar 23 10:10:42 INFO Upgraded: kf5-kross-core-5.20.0-1.fc23.x86_64
> Mar 23 10:10:42 INFO Upgraded: kf5-kglobalaccel-5.20.0-1.fc23.x86_64
> Mar 23 10:10:42 INFO Upgraded: kf5-kglobalaccel-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:42 INFO Upgraded: kf5-kxmlgui-5.20.0-1.fc23.x86_64
> Mar 23 10:10:43 INFO Upgraded: kf5-kbookmarks-5.20.0-1.fc23.x86_64
> Mar 23 10:10:43 INFO Upgraded: kf5-kio-ntlm-5.20.0-1.fc23.x86_64
> Mar 23 10:10:43 INFO Upgraded: kf5-threadweaver-5.20.0-1.fc23.x86_64
> Mar 23 10:10:43 INFO Upgraded: qt5-qtxmlpatterns-5.6.0-4.fc23.x86_64
> Mar 23 10:10:44 INFO Upgraded: qt5-qtdeclarative-5.6.0-3.fc23.x86_64
> Mar 23 10:10:44 INFO Upgraded: kf5-solid-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:44 INFO Upgraded: kf5-solid-5.20.0-1.fc23.x86_64
> Mar 23 10:10:44 INFO Upgraded: kf5-kio-core-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:44 INFO Upgraded: kf5-kio-widgets-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:45 INFO Upgraded: kf5-kio-core-5.20.0-1.fc23.x86_64
> Mar 23 10:10:45 INFO Upgraded: kf5-kio-widgets-5.20.0-1.fc23.x86_64
> Mar 23 10:10:45 INFO Upgraded: kf5-kparts-5.20.0-1.fc23.x86_64
> Mar 23 10:10:45 INFO Upgraded: kf5-kio-file-widgets-5.20.0-1.fc23.x86_64
> Mar 23 10:10:46 INFO Upgraded: kf5-kdeclarative-5.20.0-1.fc23.x86_64
> Mar 23 10:10:46 INFO Upgraded: kf5-kactivities-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:47 INFO Upgraded: kf5-plasma-5.20.0-1.fc23.x86_64
> Mar 23 10:10:47 INFO Upgraded:
> kf5-frameworkintegration-5.20.0-1.fc23.x86_64
> Mar 23 10:10:47 INFO Upgraded:
> kf5-frameworkintegration-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:48 INFO Upgraded: kf5-kinit-5.20.0-1.fc23.x86_64
> Mar 23 10:10:48 INFO Upgraded: kf5-kded-5.20.0-1.fc23.x86_64
> Mar 23 10:10:50 INFO Upgraded: kf5-kdelibs4support-5.20.0-1.fc23.x86_64
> Mar 23 10:10:50 INFO Upgraded:
> kf5-kdelibs4support-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:50 INFO Upgraded: kf5-baloo-libs-5.20.0-1.fc23.x86_64
> Mar 23 10:10:50 INFO Installed: qt5-qtwebchannel-5.6.0-3.fc23.x86_64
> Mar 23 10:10:50 INFO Upgraded: qt5-qtsensors-5.6.0-3.fc23.x86_64
> Mar 23 10:10:51 INFO Upgraded: qt5-qtlocation-5.6.0-3.fc23.x86_64
> Mar 23 10:10:51 INFO Upgraded:
> python3-dnf-plugins-core-0.1.19-1.fc23.noarch
> Mar 23 10:10:51 INFO Upgraded: dnf-plugins-core-0.1.19-1.fc23.noarch
> Mar 23 10:10:52 INFO Upgraded: qt5-qtwebkit-5.6.0-3.fc23.x86_64
> Mar 23 10:10:53 INFO Upgraded: kf5-baloo-5.20.0-1.fc23.x86_64
> Mar 23 10:10:53 INFO Upgraded: kf5-krunner-5.20.0-1.fc23.x86_64
> Mar 23 10:10:53 INFO Upgraded: kf5-kactivities-5.20.0-1.fc23.x86_64
> Mar 23 10:10:53 INFO Upgraded: kf5-kcmutils-5.20.0-1.fc23.x86_64
> Mar 23 10:10:53 INFO Upgraded: kf5-kross-ui-5.20.0-1.fc23.x86_64
> Mar 23 10:10:54 INFO Upgraded: kf5-khtml-5.20.0-1.fc23.x86_64
> Mar 23 10:10:55 INFO Upgraded: kf5-ktexteditor-5.20.0-2.fc23.x86_64
> Mar 23 10:10:57 INFO Upgraded: kf5-knewstuff-5.20.0-1.fc23.x86_64
> Mar 23 10:10:58 INFO Upgraded: kf5-knotifyconfig-5.20.0-1.fc23.x86_64
> Mar 23 10:10:58 INFO Upgraded: kf5-kxmlrpcclient-5.20.0-1.fc23.x86_64
> Mar 23 10:10:59 INFO Upgraded: qt5-qtquickcontrols-5.6.0-3.fc23.x86_64
> Mar 23 10:10:59 INFO Upgraded: qt5-qtmultimedia-5.6.0-3.fc23.x86_64
> Mar 23 10:10:59 INFO Upgraded: kf5-kpeople-5.20.0-1.fc23.x86_64
> Mar 23 10:10:59 INFO Upgraded: qt5-qtgraphicaleffects-5.6.0-3.fc23.x86_64
> Mar 23 10:11:00 INFO Upgraded: kf5-kdesu-5.20.0-1.fc23.x86_64
> Mar 23 10:11:03 INFO Upgraded: qt5-qttools-5.6.0-3.fc23.x86_64
> Mar 23 10:11:03 INFO Upgraded: kf5-kjsembed-5.20.0-1.fc23.x86_64
> Mar 23 10:11:07 INFO Upgraded: kf5-kemoticons-5.20.0-1.fc23.x86_64
> Mar 23 10:11:08 INFO Upgraded: kf5-kdoctools-5.20.0-1.fc23.x86_64
> Mar 23 10:11:08 INFO Upgraded: kf5-kidletime-5.20.0-1.fc23.x86_64
> Mar 23 10:11:09 INFO Upgraded: kf5-kdnssd-5.20.0-1.fc23.x86_64
> Mar 23 10:11:09 INFO Upgraded: kf5-kitemmodels-5.20.0-1.fc23.x86_64
> Mar 23 10:11:09 INFO Upgraded: python3-sssdconfig-1.13.3-6.fc23.noarch
> Mar 23 10:11:17 INFO Upgraded: oxygen-icon-theme-1:5.20.0-1.fc23.noarch
> Mar 23 10:11:18 INFO Upgraded: hwdata-0.287-1.fc23.noarch
> Mar 23 10:11:25 INFO Upgraded: firefox-45.0.1-2.fc23.x86_64
> Mar 23 10:11:32 INFO Upgraded: breeze-icon-theme-5.20.0-1.fc23.noarch

Comment 1 Rex Dieter 2016-03-30 10:42:22 UTC
What plasma widgets do you use?

would you mind attaching ~/.config/plasma-org.kde.plasma.desktop-appletsrc ?

Comment 2 Harald Reindl 2016-03-30 11:17 UTC
Created attachment 1141691 [details]
desktop screenshot

attached a full screenshot of the desktop - likely easier than post a wrong translation from german to english

Comment 3 Rex Dieter 2016-03-30 11:20:22 UTC
can you detail precisely what the 3 applets along the right side of the screen are?  (I'm guessing some sort of system monitors?)

Comment 4 Harald Reindl 2016-03-30 11:24:37 UTC
* systemload (CPU, RAM and in the defaults swap usage)
* harddisk IO
* network monitor

but i can't meention the original names

what i can say is that they are very core widgets becaus ei run minimal setups and there are not much widgets available (cpu temperature as example is not available in my stripped down setup while it exists on a similar setup of a co-worker) and no ones manually installed

Comment 5 Rex Dieter 2016-03-30 11:55:13 UTC
All I'm trying to do is to replicate your setup in an attempt to reproduce (since you didn't comply with the original request to attach your ~/.config/plasma-org.kde.plasma.desktop-appletsrc )

Comment 6 Harald Reindl 2016-03-30 12:01 UTC
Created attachment 1141706 [details]
plasma-org.kde.plasma.desktop-appletsrc

sorry, missed that line, attached now

Comment 7 Gilboa Davara 2016-03-31 11:37 UTC
Created attachment 1142167 [details]
plasma-org.kde.plasma.desktop-appletsrc

Add myself to the list, plasma-org.kde.plasma.desktop-appletsrc attached.

- Gilboa

Comment 8 Rex Dieter 2016-03-31 13:24:37 UTC
Re: comment #7

You don't make it clear, are you experiencing problems as well?

Comment 9 Harald Reindl 2016-03-31 13:52:38 UTC
it's the guy who posted on the mailing-list today that he has exactly the same problems i described above

Comment 10 Rex Dieter 2016-04-01 13:04:47 UTC
Do either of you have > 1 screen ?

If so, is this reproducible with 1 screen ?

Comment 11 Harald Reindl 2016-04-01 13:20:11 UTC
only 1 screen

Comment 12 Gilboa Davara 2016-04-02 06:59:21 UTC
Two screens.
D0: 2560 x 1440.
D1: 1920 x 1080.

Comment 13 Harald Reindl 2016-04-07 09:47:55 UTC
FWIW after update to kf5-5.21.0 from kde-testing (without QT 5.6) the system-load widget from screenshot https://bugzilla.redhat.com/attachment.cgi?id=1141691 appeared twice on the bottom of my desktop as it happened in one of the tries where "only" systray and control-bar was gone and kmenu bedcame logout

i removed them and after logout/login all is fine

so it smells like something in the widget configuration was broken too

Comment 14 Harald Reindl 2016-04-09 05:06:13 UTC
also broken with kf5 5.21.0-1.fc23 from kde-testing, as soon as i upgrade qt from updates-testing my desktop is broken, only change: now my desktop widgets are present (that maybe is just a timing thing and some luck)

* kmenu still logout instead menu
* no controlbar
* no systray

Apr 09 06:52:21 INFO --- logging initialized ---
Apr 09 06:52:36 INFO Upgraded: qt5-qtbase-common-5.6.0-9.fc23.noarch
Apr 09 06:52:36 INFO Upgraded: qt5-qtbase-5.6.0-9.fc23.x86_64
Apr 09 06:52:37 INFO Upgraded: qt5-qtbase-gui-5.6.0-9.fc23.x86_64
Apr 09 06:52:37 INFO Upgraded: qt5-qttools-common-5.6.0-3.fc23.noarch
Apr 09 06:52:37 INFO Upgraded: qt5-qtx11extras-5.6.0-3.fc23.x86_64
Apr 09 06:52:37 INFO Upgraded: kf5-frameworkintegration-libs-5.21.0-1.fc23.1.x86_64
Apr 09 06:52:38 INFO Upgraded: kf5-frameworkintegration-5.21.0-1.fc23.1.x86_64
Apr 09 06:52:38 INFO Upgraded: qt5-qtxmlpatterns-5.6.0-4.fc23.x86_64
Apr 09 06:52:39 INFO Upgraded: qt5-qtdeclarative-5.6.0-4.fc23.x86_64
Apr 09 06:52:39 INFO Installed: qt5-qtwebchannel-5.6.0-3.fc23.x86_64
Apr 09 06:52:39 INFO Upgraded: qt5-qtsensors-5.6.0-3.fc23.x86_64
Apr 09 06:52:39 INFO Upgraded: qt5-qtlocation-5.6.0-3.fc23.x86_64
Apr 09 06:52:40 INFO Upgraded: qt5-qtwebkit-5.6.0-3.fc23.x86_64
Apr 09 06:52:41 INFO Upgraded: qt5-qtquickcontrols-5.6.0-3.fc23.x86_64
Apr 09 06:52:41 INFO Upgraded: qt5-qtmultimedia-5.6.0-3.fc23.x86_64
Apr 09 06:52:41 INFO Upgraded: qt5-qtgraphicaleffects-5.6.0-3.fc23.x86_64
Apr 09 06:52:41 INFO Upgraded: qt5-qttools-5.6.0-3.fc23.x86_64
Apr 09 06:52:42 INFO Upgraded: qt5-qttools-libs-designer-5.6.0-3.fc23.x86_64
Apr 09 06:52:42 INFO Upgraded: qt5-qtsvg-5.6.0-3.fc23.x86_64
Apr 09 06:52:42 INFO Upgraded: qt5-qtscript-5.6.0-3.fc23.x86_64
Apr 09 06:52:42 INFO Cleanup: qt5-qtwebkit-5.5.1-4.fc23.x86_64
Apr 09 06:52:42 INFO Cleanup: qt5-qtmultimedia-5.5.1-4.fc23.x86_64
Apr 09 06:52:42 INFO Cleanup: qt5-qtquickcontrols-5.5.1-2.fc23.x86_64
Apr 09 06:52:42 INFO Cleanup: qt5-qtlocation-5.5.1-2.fc23.x86_64
Apr 09 06:52:42 INFO Cleanup: qt5-qtsensors-5.5.1-2.fc23.x86_64
Apr 09 06:52:42 INFO Cleanup: qt5-qtdeclarative-5.5.1-4.fc23.x86_64
Apr 09 06:52:42 INFO Cleanup: qt5-qttools-libs-designer-5.5.1-2.fc23.x86_64
Apr 09 06:52:42 INFO Cleanup: qt5-qtscript-5.5.1-2.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: qt5-qtsvg-5.5.1-2.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: kf5-frameworkintegration-libs-5.21.0-1.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: kf5-frameworkintegration-5.21.0-1.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: qt5-qtgraphicaleffects-5.5.1-2.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: qt5-qtx11extras-5.5.1-2.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: qt5-qttools-5.5.1-2.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: qt5-qtbase-gui-5.5.1-12.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: qt5-qtxmlpatterns-5.5.1-2.fc23.x86_64
Apr 09 06:52:43 INFO Cleanup: qt5-qttools-common-5.5.1-2.fc23.noarch
Apr 09 06:52:43 INFO Cleanup: qt5-qtbase-common-5.5.1-12.fc23.noarch
Apr 09 06:52:43 INFO Cleanup: qt5-qtbase-5.5.1-12.fc23.x86_64
Apr 09 06:55:17 INFO --- logging initialized ---
Apr 09 06:55:26 INFO --- logging initialized ---
Apr 09 06:55:29 INFO --- logging initialized ---
Apr 09 06:55:51 INFO --- logging initialized ---
Apr 09 06:57:47 INFO --- logging initialized ---
Apr 09 06:57:55 INFO --- logging initialized ---
Apr 09 06:58:16 INFO --- logging initialized ---
Apr 09 06:58:38 INFO --- logging initialized ---
Apr 09 06:59:13 INFO --- logging initialized ---
Apr 09 06:59:19 INFO --- logging initialized ---
Apr 09 07:00:11 INFO Downgraded: qt5-qttools-common-5.5.1-2.fc23.noarch
Apr 09 07:00:12 INFO Downgraded: qt5-qtbase-5.5.1-12.fc23.x86_64
Apr 09 07:00:12 INFO Downgraded: qt5-qtbase-common-5.5.1-12.fc23.noarch
Apr 09 07:00:13 INFO Downgraded: qt5-qtbase-gui-5.5.1-12.fc23.x86_64
Apr 09 07:00:13 INFO Downgraded: qt5-qtx11extras-5.5.1-2.fc23.x86_64
Apr 09 07:00:13 INFO Downgraded: kf5-frameworkintegration-5.21.0-1.fc23.x86_64
Apr 09 07:00:14 INFO Downgraded: kf5-frameworkintegration-libs-5.21.0-1.fc23.x86_64
Apr 09 07:00:14 INFO Downgraded: qt5-qtxmlpatterns-5.5.1-2.fc23.x86_64
Apr 09 07:00:14 INFO Downgraded: qt5-qtdeclarative-5.5.1-4.fc23.x86_64
Apr 09 07:00:14 INFO Downgraded: qt5-qtsensors-5.5.1-2.fc23.x86_64
Apr 09 07:00:15 INFO Downgraded: qt5-qtlocation-5.5.1-2.fc23.x86_64
Apr 09 07:00:16 INFO Downgraded: qt5-qtwebkit-5.5.1-4.fc23.x86_64
Apr 09 07:00:16 INFO Downgraded: qt5-qtmultimedia-5.5.1-4.fc23.x86_64
Apr 09 07:00:16 INFO Downgraded: qt5-qtquickcontrols-5.5.1-2.fc23.x86_64
Apr 09 07:00:16 INFO Downgraded: qt5-qtscript-5.5.1-2.fc23.x86_64
Apr 09 07:00:17 INFO Downgraded: qt5-qtsvg-5.5.1-2.fc23.x86_64
Apr 09 07:00:17 INFO Downgraded: qt5-qttools-libs-designer-5.5.1-2.fc23.x86_64
Apr 09 07:00:17 INFO Downgraded: qt5-qtgraphicaleffects-5.5.1-2.fc23.x86_64
Apr 09 07:00:17 INFO Downgraded: qt5-qttools-5.5.1-2.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtwebkit-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: kf5-frameworkintegration-5.21.0-1.fc23.1.x86_64
Apr 09 07:00:17 INFO Erased: kf5-frameworkintegration-libs-5.21.0-1.fc23.1.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtquickcontrols-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtmultimedia-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtlocation-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtsensors-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtwebchannel-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtgraphicaleffects-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtdeclarative-5.6.0-4.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qttools-libs-designer-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtx11extras-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtsvg-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtscript-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qttools-5.6.0-3.fc23.x86_64
Apr 09 07:00:17 INFO Erased: qt5-qtbase-gui-5.6.0-9.fc23.x86_64
Apr 09 07:00:18 INFO Erased: qt5-qtxmlpatterns-5.6.0-4.fc23.x86_64
Apr 09 07:00:18 INFO Erased: qt5-qttools-common-5.6.0-3.fc23.noarch
Apr 09 07:00:18 INFO Erased: qt5-qtbase-common-5.6.0-9.fc23.noarch
Apr 09 07:00:18 INFO Erased: qt5-qtbase-5.6.0-9.fc23.x86_64

Comment 15 Rex Dieter 2016-04-09 12:55:36 UTC
When plasma is presumably stuck like that, would it be possible for you to get a backtrace (ideally with plasma-workpace and kdeplasma-addons debuginfo)?

$ gdb --pid=$(pidof plasmashell)
...
$ thread apply all bt

Comment 16 Harald Reindl 2016-04-10 11:59:15 UTC
https://bugs.kde.org/show_bug.cgi?id=361065

they are talking about KDE 5.6.1 and so i say it again: update QT to 5.6 while stay with Plasma on 5.5 seems like a terrible bad idea

Comment 17 Rex Dieter 2016-04-10 12:12:13 UTC
I'll backport the show desktop fix, until plasma-5.6.x lands

Comment 18 Harald Reindl 2016-04-10 12:20:04 UTC
what i wanted to say is when something trivial like a icon which just minimizes all windows breaks by update QT i am feeling mad in general

besides that plasma here for months crash after a few hours in a spectacular way with open konsole tabs where outputs of "tail -f" and any other outputs randomly overwrite existing lines and closing konsole triggers the final crash of plasma restarting most times with "only" lsoe a few applications - this morining (machine is always on) it ended on the login screen - that smells like a bad memory corruption

Comment 19 Fedora Update System 2016-04-10 12:44:58 UTC
kdeplasma-addons-5.5.5-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7af3900ab0

Comment 20 Harald Reindl 2016-04-10 13:07:24 UTC
updated kdeplasma-addons-5.5.5-2.fc23 from koji but unable to verify against QT5.6 since the kf5 5.21 packages from kde-testing are wired against QT5.5, there is one 5.21 without deps in updates-testing but currently i am unable to solve dependencies in any direction (dnf downgrade, yum-deprecated downgrade..) to get QT 5.6 on my system

Comment 21 Rex Dieter 2016-04-10 13:20:05 UTC
Arg, latest kf5-5.21 batch of updates failed to include kactvitiymanagerd.  Seems bodhi "helpfully" skipped it since it was already included in another (unpushed!) update:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d2823c643

I'm working to get that submitted separately, now.

Comment 22 Harald Reindl 2016-04-10 19:05:02 UTC
looks good now with the updates from today

Apr 10 14:53:59 INFO Upgraded: kdeplasma-addons-5.5.5-2.fc23.x86_64
Apr 10 14:59:23 INFO Installed: kf5-frameworkintegration-5.21.0-1.fc23.x86_64
Apr 10 15:00:46 INFO Upgraded: libgcc-5.3.1-6.fc23.x86_64
Apr 10 15:00:46 INFO Upgraded: libstdc++-5.3.1-6.fc23.x86_64
Apr 10 15:00:47 INFO Upgraded: libstdc++-devel-5.3.1-6.fc23.x86_64
Apr 10 15:00:47 INFO Upgraded: libquadmath-5.3.1-6.fc23.x86_64
Apr 10 15:00:47 INFO Upgraded: libgomp-5.3.1-6.fc23.x86_64
Apr 10 15:00:48 INFO Upgraded: cpp-5.3.1-6.fc23.x86_64
Apr 10 15:00:50 INFO Upgraded: gcc-5.3.1-6.fc23.x86_64
Apr 10 15:00:52 INFO Upgraded: gcc-c++-5.3.1-6.fc23.x86_64
Apr 10 15:00:52 INFO Upgraded: libgfortran-5.3.1-6.fc23.x86_64
Apr 10 15:00:59 INFO Upgraded: google-chrome-stable-49.0.2623.112-1.x86_64
Apr 10 15:01:00 INFO Upgraded: kf5-krunner-5.21.0-2.fc23.x86_64
Apr 10 15:01:00 INFO Upgraded: vim-minimal-2:7.4.1718-1.fc23.x86_64
Apr 10 15:01:03 INFO Upgraded: flash-plugin-11.2.202.616-release.x86_64
Apr 10 21:01:50 INFO Upgraded: qt5-qtbase-common-5.6.0-9.fc23.noarch
Apr 10 21:01:51 INFO Upgraded: qt5-qtbase-5.6.0-9.fc23.x86_64
Apr 10 21:01:52 INFO Upgraded: qt5-qtbase-gui-5.6.0-9.fc23.x86_64
Apr 10 21:01:52 INFO Upgraded: qt5-qttools-common-5.6.0-3.fc23.noarch
Apr 10 21:01:52 INFO Upgraded: qt5-qtx11extras-5.6.0-3.fc23.x86_64
Apr 10 21:01:52 INFO Upgraded: kf5-frameworkintegration-libs-5.21.0-1.fc23.1.x86_64
Apr 10 21:01:53 INFO Upgraded: kf5-frameworkintegration-5.21.0-1.fc23.1.x86_64
Apr 10 21:01:53 INFO Upgraded: qt5-qtxmlpatterns-5.6.0-4.fc23.x86_64
Apr 10 21:01:53 INFO Upgraded: qt5-qtdeclarative-5.6.0-4.fc23.x86_64
Apr 10 21:01:54 INFO Installed: qt5-qtwebchannel-5.6.0-3.fc23.x86_64
Apr 10 21:01:54 INFO Upgraded: qt5-qtsensors-5.6.0-3.fc23.x86_64
Apr 10 21:01:54 INFO Upgraded: qt5-qtlocation-5.6.0-3.fc23.x86_64
Apr 10 21:01:55 INFO Upgraded: qt5-qtwebkit-5.6.0-3.fc23.x86_64
Apr 10 21:01:56 INFO Upgraded: qt5-qtquickcontrols-5.6.0-3.fc23.x86_64
Apr 10 21:01:56 INFO Upgraded: qt5-qtmultimedia-5.6.0-3.fc23.x86_64
Apr 10 21:01:56 INFO Upgraded: qt5-qtgraphicaleffects-5.6.0-3.fc23.x86_64
Apr 10 21:01:56 INFO Upgraded: qt5-qttools-5.6.0-3.fc23.x86_64
Apr 10 21:01:56 INFO Upgraded: qt5-qttools-libs-designer-5.6.0-3.fc23.x86_64
Apr 10 21:01:57 INFO Upgraded: qt5-qtsvg-5.6.0-3.fc23.x86_64
Apr 10 21:01:57 INFO Upgraded: qt5-qtscript-5.6.0-3.fc23.x86_64

Comment 23 Harald Reindl 2016-04-12 12:51:30 UTC
i don't get when packages land in updates-testing

"kdeplasma-addons-5.5.5-2.fc23" is still not there while the update solving the dependency-issues on my system from https://bugzilla.redhat.com/show_bug.cgi?id=1322334#c21 appeared within a few hours and both was days ago

on two other machines i needed to download it again from koji today

Comment 24 Rex Dieter 2016-04-12 13:44:47 UTC
Actually neither has been pushed by bodhi yet, since being queue'd 2 days ago:

kdeplasma-addons :
https://bodhi.fedoraproject.org/updates/FEDORA-2016-7af3900ab0

kactivitymanagerd : 
https://bodhi.fedoraproject.org/updates/FEDORA-2016-e0d1356e80

I did put these into kde-unstable and kde-testing respectively back then too.  maybe you have those enabled too?

(I've since added kdeplasma-addons build to kde-testing too)

Comment 25 Harald Reindl 2016-04-12 13:51:45 UTC
enabled kde-testing too because it was needed to solve deps anyway but no kdeplasma-addons with the fix (rm -rf /var/cache/dnf/* to make sure it's fresh before)

Comment 26 Fedora Update System 2016-04-13 09:29:11 UTC
kdeplasma-addons-5.5.5-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7af3900ab0

Comment 27 Fedora Update System 2016-04-15 07:20:33 UTC
kdeplasma-addons-5.5.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora End Of Life 2016-11-24 16:17:57 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 29 Fedora End Of Life 2016-12-20 19:43:20 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.